# Method: projects.locations.jobs.list

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.ListJobsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list#body.aspect)

Lists Jobs. Results are sorted by creation time, descending.

### HTTP request

`GET https://run.googleapis.com/v2/{parent}/jobs`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The location and project to list resources on. Format: projects/{project}/locations/{location}, where {project} can be project id or number. It takes the form `projects/{project}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `run.jobs.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of Jobs to return in this call. |
| `pageToken` | `string` A page token received from a previous call to jobs.list. All other parameters must match. |
| `showDeleted` | `boolean` If true, returns deleted (but unexpired) resources along with active ones. |

### Request body

The request body must be empty.

### Response body

Response message containing a list of Jobs.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "jobs": [ { object (`https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs#Job`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `jobs[]` | ``object (`https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs#Job`)`` The resulting list of Jobs. |
| `nextPageToken` | `string` A token indicating there are more items than pageSize. Use it in the next jobs.list request to continue. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).